<?php // $Id: uUpdateAuthor.php,v 1.1 2005/10/21 14:09:50 geothms Exp geothms $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>

<meta http-equiv="refresh" content="2; url=../forms.php" />

<center>
<h3 class="maketitle">Prover/Drawer Author Update Info</h3>
</center>

<hr/>



<?php
require('loginsub.php');
?>

<?php

// Obtêm os valores do formulário.
$pAuthorId       = $_POST['AuthorId'];
$pName           = $_POST['Name'];
$pAffiliation    = $_POST['Affiliation'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];



// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc())
  { $pName           = addslashes('$pName');         
    $pAffiliation    = addslashes('$pAffiliation');   
    $pURL            = addslashes('$pURL');           
    $pEmail          = addslashes('$pEmail');         
    $pDateSubmission = addslashes('$pDateSubmission');
  }

$sqlUpdateAuthor = 
    "UPDATE authors
        SET name = '$pName',
            affiliation = '$pAffiliation',
            url = '$pURL',
            email = '$pEmail',
            dateSubmission = '$pDateSubmission'
      WHERE
            authorId = '$pAuthorId'";

$resultadoUpdateAuthor = mysql_query($sqlUpdateAuthor,$ligacao);

if ($resultadoUpdateAuthor) {
  echo 'Prover/Drawer Author Info Updated.'; 
 }
 else
   echo 'Error: Prover/Drawer Author Update Info not updated!';
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
